Package com.smartgwt.client.widgets.form.fields.events

# Interface HasPendingStatusChangedHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `AutoFitTextAreaItem`, `BlurbItem`, `BooleanItem`, `ButtonItem`, `CancelItem`, `CanvasItem`, `CheckboxItem`, `ColorItem`, `ColorPickerItem`, `ComboBoxItem`, `DateItem`, `DateRangeItem`, `DateTimeItem`, `DoubleItem`, `FileItem`, `FloatItem`, `FormItem`, `HeaderItem`, `HiddenItem`, `IntegerItem`, `IPickTreeItem`, `LinkItem`, `MiniDateRangeItem`, `MultiComboBoxItem`, `MultiFileItem`, `MultiPickerItem`, `NativeCheckboxItem`, `PasswordItem`, `PickTreeItem`, `PresetCriteriaItem`, `PresetDateRangeItem`, `RadioGroupItem`, `RelativeDateItem`, `ResetItem`, `RichTextItem`, `RowSpacerItem`, `SavedSearchItem`, `SectionItem`, `SelectItem`, `SelectOtherItem`, `SetFilterItem`, `ShuttleItem`, `SliderItem`, `SpacerItem`, `SpinnerItem`, `StaticTextItem`, `SubmitItem`, `TextAreaItem`, `TextItem`, `TimeItem`, `ToggleItem`, `ToolbarItem`, `UploadItem`, `ViewFileItem`

public interface HasPendingStatusChangedHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addPendingStatusChangedHandler(PendingStatusChangedHandler handler)`
  Notification method called when `showPending` is enabled and this form item should either clear or show its "Pending" visual state.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addPendingStatusChangedHandler

    HandlerRegistration addPendingStatusChangedHandler(PendingStatusChangedHandler handler)
    Notification method called when `showPending` is enabled and this form item should either clear or show its "Pending" visual state.

    The default behavior is that the `titleStyle` and `cellStyle` are updated to include/exclude the "Pending" suffix. Standard form item types may implement additional default behavior (see any item-specific pendingStatusChanged() documentation). Returning `false` will cancel the default behavior.

    The pendingStatusChanged() notification method is typically used by `CanvasItem`-derived form items, where a custom or supplemental pending visual state is desired.

    Parameters:
      `handler` - the pendingStatusChanged handler
    Returns:
      `HandlerRegistration` used to remove this handler